<?php 

 add_action('init', 'add_button_information');
 
 function add_button_information() {
   if ( current_user_can('edit_posts') &&  current_user_can('edit_pages') )
   {
     add_filter('mce_external_plugins', 'add_plugin_information');
     add_filter('mce_buttons_3', 'register_button_information');
   }
}

function register_button_information($buttons) {
   array_push($buttons, "information");
   return $buttons;
}

function add_plugin_information($plugin_array) {
   $plugin_array['information'] = get_bloginfo('template_url').'/includes/tinymce/information.js';
   return $plugin_array;
}
